Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 275903 - media-libs/openexr_ctl-1.0.1-r1 fails to build with gcc 4.4
Summary: media-libs/openexr_ctl-1.0.1-r1 fails to build with gcc 4.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Library (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: media-video herd
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: gcc-4.4
  Show dependency tree
 
Reported: 2009-06-30 08:29 UTC by Joost Ruis
Modified: 2009-07-30 08:47 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Joost Ruis 2009-06-30 08:29:15 UTC
---------------------------------------------
Summary for OpenEXR_CTL features:

No variable options in this package.  Configure completed successfully.
---------------------------------------------

make -j2 -s
Making all in IlmImfCtl
libtool: compile:  i686-pc-linux-gnu-g++ -DPACKAGE_NAME=\"OpenEXR_CTL\" -DPACKAGE_TARNAME=\"openexr_ctl\" -DPACKAGE_VERSION=\"1.0.1\" "-DPACKAGE_STRING=\"Ope
penexr_ctl\" -DVERSION=\"1.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRIN
TD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -I. -pthread -I/usr/include/OpenEXR -I/usr/include/CTL -DCTL_MODULE_BASE_PA
e -O2 -march=i686 -pipe -MT ImfCtlCopyFunctionArg.lo -MD -MP -MF .deps/ImfCtlCopyFunctionArg.Tpo -c ImfCtlCopyFunctionArg.cpp  -fPIC -DPIC -o .libs/ImfCtlCop
libtool: compile:  i686-pc-linux-gnu-g++ -DPACKAGE_NAME=\"OpenEXR_CTL\" -DPACKAGE_TARNAME=\"openexr_ctl\" -DPACKAGE_VERSION=\"1.0.1\" "-DPACKAGE_STRING=\"Ope
penexr_ctl\" -DVERSION=\"1.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRIN
TD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -I. -pthread -I/usr/include/OpenEXR -I/usr/include/CTL -DCTL_MODULE_BASE_PA
e -O2 -march=i686 -pipe -MT ImfCtlApplyTransforms.lo -MD -MP -MF .deps/ImfCtlApplyTransforms.Tpo -c ImfCtlApplyTransforms.cpp  -fPIC -DPIC -o .libs/ImfCtlApp
libtool: compile:  i686-pc-linux-gnu-g++ -DPACKAGE_NAME=\"OpenEXR_CTL\" -DPACKAGE_TARNAME=\"openexr_ctl\" -DPACKAGE_VERSION=\"1.0.1\" "-DPACKAGE_STRING=\"Ope
penexr_ctl\" -DVERSION=\"1.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRIN
TD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -I. -pthread -I/usr/include/OpenEXR -I/usr/include/CTL -DCTL_MODULE_BASE_PA
e -O2 -march=i686 -pipe -MT ImfCtlApplyTransforms.lo -MD -MP -MF .deps/ImfCtlApplyTransforms.Tpo -c ImfCtlApplyTransforms.cpp -o ImfCtlApplyTransforms.o >/de
libtool: compile:  i686-pc-linux-gnu-g++ -DPACKAGE_NAME=\"OpenEXR_CTL\" -DPACKAGE_TARNAME=\"openexr_ctl\" -DPACKAGE_VERSION=\"1.0.1\" "-DPACKAGE_STRING=\"Ope
penexr_ctl\" -DVERSION=\"1.0.1\" -DSTDC_HEADERS=1 -DHAVE_SYS_TYPES_H=1 -DHAVE_SYS_STAT_H=1 -DHAVE_STDLIB_H=1 -DHAVE_STRING_H=1 -DHAVE_MEMORY_H=1 -DHAVE_STRIN
TD_H=1 -DHAVE_DLFCN_H=1 -DLT_OBJDIR=\".libs/\" -DSTDC_HEADERS=1 -DHAVE_LIMITS_H=1 -I. -pthread -I/usr/include/OpenEXR -I/usr/include/CTL -DCTL_MODULE_BASE_PA
e -O2 -march=i686 -pipe -MT ImfCtlCopyFunctionArg.lo -MD -MP -MF .deps/ImfCtlCopyFunctionArg.Tpo -c ImfCtlCopyFunctionArg.cpp -o ImfCtlCopyFunctionArg.o >/de
libtool: link: i686-pc-linux-gnu-g++ -shared -nostdlib /usr/lib/gcc/i686-pc-linux-gnu/4.4.0/../../../crti.o /usr/lib/gcc/i686-pc-linux-gnu/4.4.0/crtbeginS.o
rg.o   -L/usr/lib/gcc/i686-pc-linux-gnu/4.4.0 -L/usr/lib/gcc/i686-pc-linux-gnu/4.4.0/../../../../i686-pc-linux-gnu/lib -L/usr/lib/gcc/i686-pc-linux-gnu/4.4.0
linux-gnu/4.4.0/crtendS.o /usr/lib/gcc/i686-pc-linux-gnu/4.4.0/../../../crtn.o  -march=i686 -Wl,-O1   -Wl,-soname -Wl,libIlmImfCtl.so.2 -o .libs/libIlmImfCtl
libtool: link: (cd ".libs" && rm -f "libIlmImfCtl.so.2" && ln -s "libIlmImfCtl.so.2.0.0" "libIlmImfCtl.so.2")
libtool: link: (cd ".libs" && rm -f "libIlmImfCtl.so" && ln -s "libIlmImfCtl.so.2.0.0" "libIlmImfCtl.so")
libtool: link: i686-pc-linux-gnu-ar cru .libs/libIlmImfCtl.a  ImfCtlApplyTransforms.o ImfCtlCopyFunctionArg.o
libtool: link: i686-pc-linux-gnu-ranlib .libs/libIlmImfCtl.a
libtool: link: ( cd ".libs" && rm -f "libIlmImfCtl.la" && ln -s "../libIlmImfCtl.la" "libIlmImfCtl.la" )
Making all in IlmImfCtlTest
Making all in CtlModules
Making all in exrdpx
libtool: link: i686-pc-linux-gnu-g++ -pipe -O2 -march=i686 -pipe -Wl,-O1 -o .libs/exrdpx exrdpx-applyCtl.o exrdpx-dpxHeader.o exrdpx-dpxToExr.o exrdpx-exrToD
/media-libs/openexr_ctl-1.0.1-r1/work/openexr_ctl-1.0.1/IlmImfCtl /var/tmp/portage/media-libs/openexr_ctl-1.0.1-r1/work/openexr_ctl-1.0.1/IlmImfCtl/.libs/lib
lMath.so /usr/lib/libIlmCtl.so /usr/lib/libIlmImf.so -lz /usr/lib/libImath.so /usr/lib/libHalf.so /usr/lib/libIlmThread.so /usr/lib/libIex.so -lpthread -pthr
Making all in exr_ctl_exr
applyCtl.cpp: In function 'void<unnamed>::initializeEnvHeader(Imf::Header&)':
applyCtl.cpp:132: error: 'sscanf' was not declared in this scope
applyCtl.cpp:156: error: 'sscanf' was not declared in this scope
applyCtl.cpp:177: error: 'sscanf' was not declared in this scope
make[1]: *** [exr_ctl_exr-applyCtl.o] Error 1
make[1]: *** Waiting for unfinished jobs....
make: *** [all-recursive] Error 1


Reproducible: Always




sabayon server # emerge --info
Portage 2.2_rc33 (default/linux/x86/2008.0/desktop, gcc-4.4.0, glibc-2.10.1-r0, 2.6.25-sabayon i686)
=================================================================
System uname: Linux-2.6.25-sabayon-i686-Intel-R-_Xeon-R-_CPU_X3220_@_2.40GHz-with-gentoo-2.0.1
Timestamp of tree: Mon, 29 Jun 2009 14:30:01 +0000
distcc 3.1 i686-pc-linux-gnu [disabled]
ccache version 2.4 [disabled]
app-shells/bash:     4.0_p24
dev-java/java-config: 1.3.7-r1, 2.1.8-r1
dev-lang/python:     2.4.6, 2.5.4-r3, 2.6.2-r1
dev-python/pycrypto: 2.0.1-r8
dev-util/ccache:     2.4-r8
dev-util/cmake:      2.6.4
sys-apps/baselayout: 2.0.1
sys-apps/openrc:     0.4.3-r5
sys-apps/sandbox:    2.0
sys-devel/autoconf:  2.13, 2.63-r1
sys-devel/automake:  1.4_p6, 1.5, 1.6.3, 1.7.9-r1, 1.8.5-r3, 1.9.6-r2, 1.10.2, 1.11
sys-devel/binutils:  2.19.1-r1
sys-devel/gcc-config: 1.4.1
sys-devel/libtool:   2.2.6a





lftpd/ftp-data /opt/openfire/resources/security/ /usr/kde/3.5/share/config/kdm/ /usr/lib/fax /usr/share/config /usr/share/xbmc/userdata /var/bind /var/lib/hs

d /etc/env.d/java/ /etc/fonts/fonts.conf /etc/gconf /etc/gentoo-release /etc/php/apache2-php5/ext-active/ /etc/php/cgi-php5/ext-active/ /etc/php/cli-php5/ext
tc/splash /etc/terminfo /etc/texmf/language.dat.d /etc/texmf/language.def.d /etc/texmf/updmap.d /etc/texmf/web2c /etc/udev/rules.d"


el-fetch preserve-libs protect-owned sandbox sfperms strict unmerge-orphans userfetch"
/mirror.leaseweb.com/gentoo/ ftp://mirror.muntinternet.net/pub/gentoo/ ftp://91.121.124.139/gentoo-distfiles/ http://mirror.switch.ch/ftp/mirror/gentoo/"

LC_ALL="en_US"
LDFLAGS="-Wl,-O1"
LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et eu fa fi fr fy ga gl he hi hr hu is it ja kk km ko lt lv mk mn ms nb nds nl nn pa pl
uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_SE zh"
MAKEOPTS="-j2 -s "
PKGDIR="/usr/portage/packages"
PORTAGE_CONFIGROOT="/"
PORTAGE_RSYNC_OPTS="--recursive --links --safe-links --perms --times --compress --force --whole-file --delete --stats --timeout=180 --exclude=/distfiles --ex
PORTAGE_TMPDIR="/var/tmp"
PORTDIR="/usr/portage"
PORTDIR_OVERLAY="/usr/local/portage/layman/enlightenment /usr/local/portage/layman/sabayon"
SYNC="rsync://rsync.gentoo.org/gentoo-portage"
USE="7Zip X a52 aac aalib accessibility acl acpi aiglx aim alsa artswrappersuid audiofile avahi bash-completion berkdb bidi bluetooth bzip2 cairo cdda cddb c
 css cups dbox2 dbus dga dri dts dv dvb dvd dvdr dvdread dxr3 emboss encode extramodules fam fame fat ffmpeg fftw firefox flac flash foomatic-db fortran free
m gstreamer gtk hal hfs iconv icq ieee1394 imap inotify ipod ipv6 irc irda isdnlog jabber jack jfs jingle joystick jpeg kde kdeenablefinal kdehiddenvisibilit
rs logitech-mouse lzo mad mail midi mikmod mjpeg mmx mng mozdevelop mp3 mp3rtp mpeg msn mudflap musepack musicbrainz ncurses network new-login nls nptl nptlo
cmcia pcre pda pdf perl png policykit povray ppds pppd pulseaudio python qt3support qt4 quicktime quotas rar rdesktop readline reflection reiserfs rss scanne
cation stream svg sysfs tcpd theora tiff tracker truetype udev unicode usb v4l v4l2 visualization voice vorbis weather wifi win32codecs wmf x264 x86 xcb xfs
 yahoo zeroconf zlib" ALSA_CARDS="emu10k1x darla20 darla24 emu10k1 gina20 gina24 hdsp hdspm ice1712 indigo indigoio layla20 layla24 mia mixart mona pcxhr rme
A_PCM_PLUGINS="adpcm alaw asym copy dmix dshare dsnoop empty extplug file hooks iec958 ioplug ladspa lfloat linear meter mmap_emul mulaw multi null plug rate
 auth_basic authn_alias authn_anon authn_dbm authn_default authn_file authz_dbm authz_default authz_groupfile authz_host authz_owner authz_user autoindex cac
s ext_filter file_cache filter headers include info log_config logio mem_cache mime mime_magic negotiation rewrite setenvif speling status unique_id userdir
gfa_cl20 casio_qv dimagev dimera3500 kodak_dc120 kodak_dc210 kodak_dc240 kodak_dc3200 kodak_ez200 konica_qm150 panasonic_coolshot panasonic_dc1000 panasonic_
laroid_pdc700 ricoh_g3 sipix_blink sipix_blink2 sipix_web2 sony_dscf1 sony_dscf55 toshiba_pdrm11 adc65 aox barbie canon clicksmart310 digigr8 digita director
a largan lg_gsm mars mustek pccam300 pccam600 ptp2 ricoh samsung sierra smal sonix soundvision spca50x sq905 stv0674 stv0680 sx330z template" ELIBC="glibc" I
LCD_DEVICES="bayrad cfontz cfontz633 glk hd44780 lb216 lcdm001 mtxorb ncurses text" LINGUAS="en en_US af ar az bg bn br bs ca cs cy da de el en_GB eo es et e
mk mn ms nb nds nl nn pa pl pt pt_BR ro ru rw se sk sl sr sr@Latn ss sv ta tg tr uk uz vi zh_CN zh_TW es_AR es_ES fy_NL ga_IE gu gu_IN nb_NO nn_NO pt_PT sv_S
EO_CARDS="fbdev vesa radeonhd"
Unset:  CPPFLAGS, CTARGET, EMERGE_DEFAULT_OPTS, FFLAGS, INSTALL_MASK, PORTAGE_COMPRESS, PORTAGE_COMPRESS_FLAGS, PORTAGE_RSYNC_EXTRA_OPTS
Comment 1 Samuli Suominen gentoo-dev 2009-07-30 08:47:24 UTC
Fixed, thanks.